"use strict";

const addCommonFields = require("../event-add-common-fields");
const mapMaybeRedacted = require("../map-maybe-redacted");

module.exports = function mapRoomNameEvent(event, _context) {
	return addCommonFields(event, {
		type: "roomNameChanged",
		sender: event.sender,
		... mapMaybeRedacted(event, () => ({
			name: event.content.name
		}))
	});
};
